package com.qmth.teachcloud.common.enums;

/**
 * 模板下载类型
 */
public enum ImportTemplateEnum {

    TEMPLATE_ORG("org.xlsx", "组织架构导入模板.xlsx"),
    TEMPLATE_USER("user.xlsx", "用户导入模板.xlsx"),
    TEMPLATE_STUDENT("student.xlsx", "学生导入模板.xlsx"),
    TEMPLATE_COURSE("course.xlsx", "课程导入模板.xlsx"),
    TEMPLATE_TEACH_CLASS("teachClass.xlsx", "教学班学生导入模板.xlsx"),
    TEMPLATE_TEACH_COURSE("teachCourse.xlsx", "教学课程导入模板.xlsx"),
    TEMPLATE_TEACH_TEACHER("teachTeacher.xlsx", "教师团队导入模板.xlsx"),
    TEMPLATE_EXAM_TASK("examTask.xlsx", "命题任务导入模板.xlsx"),
    TEMPLATE_EXAM_TASK_STUDENT("examTaskStudent.xlsx", "命题任务学生导入模板.xlsx"),
    //    TEMPLATE_EXAM_STUDENT("","考务数据导入模板.xlsx"),// 不需要，有固定接口
    TEMPLATE_EXAM_STATISTICS("examStatistics.xlsx", "命题计划导入模板.xlsx"),
    TEMPLATE_BASIC_EXAM_STUDENT("basicExamStudent.xlsx", "考生字典导入模板.xlsx"),
    TEMPLATE_COURSE_DIMENSION("courseDimension.xlsx", "课程知识点导入模板.xlsx"),
    TEMPLATE_MARK_STUDENT("markStudent.xlsx","阅卷数据导入模板.xlsx"),
    TEMPLATE_PAPER_STRUCT("paperStruct.xlsx", "试卷结构导入模板.xlsx"),
    TEMPLATE_OBJECTIVE_STRUCT("objectiveStruct.xlsx","客观题导入模板.xlsx"),
    TEMPLATE_SUBJECTIVE_STRUCT("subjectiveStruct.xlsx","主观题导入模板.xlsx"),

    STATIC_COURSE_DEGREE_REPORT("course_degree_report.docx", "课程目标达成度");

    ImportTemplateEnum(String templateName, String fileName) {
        this.templateName = templateName;
        this.fileName = fileName;
    }

    private final String templateName;

    private final String fileName;

    public String getTemplateName() {
        return templateName;
    }

    public String getFileName() {
        return fileName;
    }
}
